package CatalystX::HelpText;
use strict;
use warnings;

our $VERSION = '0.002';

1;

=head1 NAME

CatalystX::HelpText - Helper to include text/html snippets in Catalyst View templates

=head1 SYNOPSIS

Create a model class in your Catalyst project like:
    package TestApp::Model::Help;
    use Moose;
    use namespace::autoclean;

    extends 'CatalystX::HelpText::Model';

    1;

Configure it setting value for:

=over

=item help_files_path

Where the help files will be found

=item help_files_ext

What is the extension for the help files (default: html)

=item wrapper_tag

What tag will be used to wrap the shippet (default: span)

=item wrapper_css_class

What css class will be applied to the wrapper tag (default: help_text)

=back

Create files with the text/html to be included and store them at help_files_path.

Apply the L<CatalystX::HelpText::ViewRole> in your View.

Uses the C<< [% helptext('SomeHelpTopic') %] >>in your templates to include the
file C<SomeHelpTopic.html> in the page.

Uses the script C<search_undocumented_templates.pl> to find the missing help text files.

=head1 SEE ALSO

=over

=item L<CatalystX::HelpText::Model>

=item L<CatalystX::HelpText::ViewRole>

=back

=head1 AUTHOR

Toomas Doran, C<< t0m at state51.co.uk >>

Cinxgler Mariaca Minda, C<< cinxgler at ci-info.com >>

=head1 COPYRIGHT

Copyright Oscar Music and Media 2011.

=head1 LICENSE

This sofware is free software, and is licensed under the same terms as perl itself.

=cut

